%
% anyremote configuration file for  kdialog --msgbox management.
% This file was not tested on Sagem phones. Alfa version. Send Your feedbacks.
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Sagem test
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=AT
GuiAppDesc=Simple example of configuration file. Tuned for Sagem phones.

[Protocol]=AT

% Green button
83=Make(disconnect);

% Red button
69=Exit

(Init)=\
	Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);

(InCall)=Exec(kdialog --msgbox "A call from $(CallId)");Make(remote,off)
(EndCall)=Make(remote,on);Exec(kdialog --msgbox CALL_END)

42 42=Exec(F="$HOME/.anyRemote/anyrem.hlp";echo "Just press buttons and inspect results" > $F);\
	Macro(SHOW_HELP);
* *=Exec(F="$HOME/.anyRemote/anyrem.hlp";echo "Seems Your phone is not Sagem. Use kdialog.cfg instead !" > $F);\
	Macro(SHOW_HELP);

% Keys 1-9,*,#
48=Exec(kdialog --msgbox 0)
49=Exec(kdialog --msgbox 1)
50=Exec(kdialog --msgbox 2)
51=Exec(kdialog --msgbox 3)
52=Exec(kdialog --msgbox 4)
53=Exec(kdialog --msgbox 5)
54=Exec(kdialog --msgbox 6)
55=Exec(kdialog --msgbox 7)
56=Exec(kdialog --msgbox 8)
57=Exec(kdialog --msgbox 9)
%42=Exec(kdialog --msgbox Star)
35=Exec(kdialog --msgbox Hash)

85=Exec(kdialog --msgbox Vol_Up)
68=Exec(kdialog --msgbox Vol_Down)
EMPTY=Exec(kdialog --msgbox Play)
91=Exec(kdialog --msgbox Mail)
32=Exec(kdialog --msgbox IMode)
67=Exec(kdialog --msgbox Left)
77=Exec(kdialog --msgbox Right)
94=Exec(kdialog --msgbox Up)
86=Exec(kdialog --msgbox Down)

[End]
